/*
   Copyright 2000, 2001, 2002, 2003 Laurent Wacrenier

   This file is part of PLL lmtpd.

   PLL lmtpd is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2 of the License, or
   (at your option) any later version.

   PLL lmtpd is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with PLL lmtpd; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

*/

static char const rcsid[] =
"$Id: re-bool.c,v 1.5 2003/11/27 01:13:31 lwa Exp $";

#include "config.h"
#include <stddef.h>
#include "re.h"

static void re_close(RE *re) {
  return;
}

static int re_compile(RE *re, char *pattern, int icase) {
  re->errstr = NULL;
  re->err = 0;
  return 0;
}

static int re_exec_true(RE *re, char *string) {
  return 0;
}

static int re_exec_false(RE *re, char *string) {
  return 1;
}

RE re_true = {
  re_compile,
  re_exec_true,
  re_close,
  1,
  0,
};

RE re_false = {
  re_compile,
  re_exec_false,
  re_close,
  0,
  0,
};

